/**
 * Copyright Zendesk, Inc.
 *
 * Use of this source code is governed under the Apache License, Version 2.0
 * found at http://www.apache.org/licenses/LICENSE-2.0.
 */
/**
 * Get unitless line height based on the given pixel-valued height and font size.
 *
 * @param {string|number} height Desired line height in pixels.
 * @param {string|number} fontSize Font size (in pixels) of text contained within the line.
 *
 * @component
 */
export default function getLineHeight(height: string | number, fontSize: string | number): number;
